Imagination PowerVR SDK Blog

PVRPerfServerDeveloper Version Mismatch

pvrtune
pvrhub

#1

HI,

During usage of PVRTuneDeveloperGUI tool, i am facing the version mismatch error (attached in snapshot).

My question is that the warning issued is critical or can be ignored ?
else is there any way to update PVRPerfServerDeveloper binary for an ARM based platform ?

[attachment file=“PVRTune_MismatchError_Crop.png”]


#2

Hi uday,

Some counters may not be available in the GUI when there is a PVRTune version number mismatch. Depending on how large the differences are between the versions there may also be more severe compatibility issues.

If possible, I would recommend using builds of PVRPefServerDeveloper and PVRTuneDeveloper from the same SDK release to ensure they are compatible.

[blockquote]is there any way to update PVRPerfServerDeveloper binary for an ARM based platform ?[/blockquote]
We include the PVRPerfServerDeveloper binaries for all of our supported SDK targets in our SDK. For Android-based target devices, you can use PVRHub to configure and execute the PVRPerfServerDeveloper binary.


#3

Hi Joe,

Thanks for your reply. i was able to locate the binary for ARM compiler and there was no version mismatch after that.